Debian Bug report logs - #80641
dialog: dialog seg faults

version graph

Package: dialog; Maintainer for dialog is Santiago Vila <sanvila@debian.org>; Source for dialog is src:dialog.

Reported by: c.ruffin@ieee.org

Date: Thu, 28 Dec 2000 03:03:14 UTC

Severity: normal

Found in version 0.9a-20001217-1

Fixed in version dialog/0.9a-20010115-1

Done: Santiago Vila <sanvila@debian.org>

Bug is archived. No further changes may be made.

Forwarded to Thomas Dickey <dickey@herndon4.his.com>

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#80641; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to c.ruffin@ieee.org:
New Bug report received and forwarded. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: c.ruffin@ieee.org
To: submit@bugs.debian.org
Subject: dialog: dialog seg faults
Date: Wed, 27 Dec 2000 21:48:30 -0500
Package: dialog
Version: 0.9a-20001217-1
Severity: normal


Dialog segfaults using:

dialog --gauge "test" 10 50

or just about anything else without specifying a percentage.

The --help states that specifying the percentage is optional.
--
Chris Ruffin <cmruffin@debian.org>


-- System Information
Debian Release: 2.2
Kernel Version: Linux surge 2.2.17 #1 Sat Sep 9 12:42:22 EST 2000 i686 unknown

Versions of the packages dialog depends on:
ii  debianutils    1.13.3         Miscellaneous utilities specific to Debian.
ii  libc6          2.2-5          GNU C Library: Shared libraries and Timezone
ii  libncurses5    5.0-6          Shared libraries for terminal handling



Reply sent to Santiago Vila <sanvila@unex.es>:
You have marked Bug as forwarded. Full text and rfc822 format available.

Message #8 received at 80641-forwarded@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Thomas Dickey <dickey@herndon4.his.com>
Cc: <80641-forwarded@bugs.debian.org>, <c.ruffin@ieee.org>
Subject: Bug#80641: dialog: dialog seg faults (fwd)
Date: Thu, 28 Dec 2000 22:23:22 +0100 (CET)
Hello.

I received this yesterday.

---------- Forwarded message ----------
Date: Wed, 27 Dec 2000 21:48:30 -0500
From: c.ruffin@ieee.org
To: submit@bugs.debian.org
Subject: Bug#80641: dialog: dialog seg faults
Resent-Date: Thu, 28 Dec 2000 03:03:14 GMT
Resent-From: c.ruffin@ieee.org
Resent-To: debian-bugs-dist@lists.debian.org
Resent-cc: Santiago Vila <sanvila@debian.org>

Package: dialog
Version: 0.9a-20001217-1
Severity: normal


Dialog segfaults using:

dialog --gauge "test" 10 50

or just about anything else without specifying a percentage.

The --help states that specifying the percentage is optional.
--
Chris Ruffin <cmruffin@debian.org>


-- System Information
Debian Release: 2.2
Kernel Version: Linux surge 2.2.17 #1 Sat Sep 9 12:42:22 EST 2000 i686 unknown

Versions of the packages dialog depends on:
ii  debianutils    1.13.3         Miscellaneous utilities specific to Debian.
ii  libc6          2.2-5          GNU C Library: Shared libraries and Timezone
ii  libncurses5    5.0-6          Shared libraries for terminal handling




Reply sent to Santiago Vila <sanvila@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to c.ruffin@ieee.org:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #13 received at 80641-close@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@debian.org>
To: 80641-close@bugs.debian.org
Subject: Bug#80641: fixed in dialog 0.9a-20010115-1
Date: Tue, 16 Jan 2001 14:55:40 -0500
We believe that the bug you reported is fixed in the latest version of
dialog, which has been installed in the Debian FTP archive:

dialog_0.9a-20010115.orig.tar.gz
  to pool/main/d/dialog/dialog_0.9a-20010115.orig.tar.gz
dialog_0.9a-20010115-1.dsc
  to pool/main/d/dialog/dialog_0.9a-20010115-1.dsc
dialog_0.9a-20010115-1_i386.deb
  to pool/main/d/dialog/dialog_0.9a-20010115-1_i386.deb
dialog_0.9a-20010115-1.diff.gz
  to pool/main/d/dialog/dialog_0.9a-20010115-1.diff.gz
A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 80641@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Vila <sanvila@debian.org> (supplier of updated dialog package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.6
Date: Tue, 16 Jan 2001 14:43:12 +0100
Source: dialog
Binary: dialog
Architecture: source i386
Version: 0.9a-20010115-1
Distribution: unstable
Urgency: medium
Maintainer: Santiago Vila <sanvila@debian.org>
Description: 
 dialog     - Displays user-friendly dialog boxes from shell scripts
Closes: 80641
Changes: 
 dialog (0.9a-20010115-1) unstable; urgency=medium
 .
   * New upstream release.
   * Closes: #80641: dialog --gauge "test" 10 50 segfaults.
Files: 
 5fb0acba5426cdfda25801aa2e1782af 628 misc optional dialog_0.9a-20010115-1.dsc
 803f654912756d305f5c1d45e4ba4be2 175509 misc optional dialog_0.9a-20010115.orig.tar.gz
 dff900924036b2b5564f37483c5635d3 5152 misc optional dialog_0.9a-20010115-1.diff.gz
 b59aa121d2cbf2b0892ca89662890470 81678 misc optional dialog_0.9a-20010115-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.4 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE6ZFKxd9Uuvj7yPNYRAtQQAJ92/halDH0WXkv/3QHhBPd14orghACdHGOb
livk3SDsswfJKzL15mik9X8=
=9l1P
-----END PGP SIGNATURE-----



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:00:17 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.